Constants (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.catalina.tribes.transport, class: Constants

# Class Constants

java.lang.Object
org.apache.catalina.tribes.transport.Constants

public class Constants extends Object
Manifest constants for the `org.apache.catalina.tribes.transport` package.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte[]`
  `ACK_COMMAND`
  Acknowledgement command data package.
  `static final byte[]`
  `ACK_DATA`
  Acknowledgement data bytes.
  `static final int`
  `DEFAULT_CLUSTER_ACK_BUFFER_SIZE`
  Default buffer size for cluster acknowledgements.
  `static final int`
  `DEFAULT_CLUSTER_MSG_BUFFER_SIZE`
  Default buffer size for cluster messages.
  `static final byte[]`
  `FAIL_ACK_COMMAND`
  Failed acknowledgement command data package.
  `static final byte[]`
  `FAIL_ACK_DATA`
  Failed acknowledgement data bytes.
  `static final String`
  `Package`
  The fully qualified name of this package.

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### Package

    public static final String Package
    The fully qualified name of this package.
    See Also:
      - Constant Field Values

  - ### DEFAULT_CLUSTER_MSG_BUFFER_SIZE

    public static final int DEFAULT_CLUSTER_MSG_BUFFER_SIZE
    Default buffer size for cluster messages.
    See Also:
      - Constant Field Values

  - ### DEFAULT_CLUSTER_ACK_BUFFER_SIZE

    public static final int DEFAULT_CLUSTER_ACK_BUFFER_SIZE
    Default buffer size for cluster acknowledgements.
    See Also:
      - Constant Field Values

  - ### ACK_DATA

    public static final byte[] ACK_DATA
    Acknowledgement data bytes.

  - ### FAIL_ACK_DATA

    public static final byte[] FAIL_ACK_DATA
    Failed acknowledgement data bytes.

  - ### ACK_COMMAND

    public static final byte[] ACK_COMMAND
    Acknowledgement command data package.

  - ### FAIL_ACK_COMMAND

    public static final byte[] FAIL_ACK_COMMAND
    Failed acknowledgement command data package.